<%- include ("layouts/header") %>
	<div class="container my-4">
		<div class="row">
			<div class="col-md-12">
				<h1>Subscribed Channels</h1>
			</div>
		</div>
		<div class="row">
			<%
			user.subscriptions = user.subscriptions.reverse();
			user.subscriptions.forEach(function (channel) { %>

			<div class="col-md-4">
				<div class="card h-100">
					<img src="<%= baseUrl + channel.image %>" class="card-img-top" onerror="this.src = 'http://placehold.it/1900x700'">
					<div class="card-body">
						<h4 class="card-title">
							<%= channel.name %>
							<span 
							style="font-size: 14px;
							font-weight: normal;
							float: right;
							position: relative;
							top: 7px;"><%= channel.subscribers %></span> subscribers
						</h4>
					</div>
					<div class="card-footer">
						<a href="/api/v1/video/channel/<%= channel._id %>" class="btn btn-primary">View</a>
						<form 
							method="POST" 
							action="/api/v1/video/remove-channel-from-subscription"
							onsubmit="return confirm('Are you sure you want to unsubscribe?')"
							style="display: contents;"
						>		
							<input type="hidden" name="_id" value="<%= channel._id %>">
							<button type="submit" class="btn btn-danger">Delete</button>
						</form>
					</div>
				</div>
			</div>
			<%})%>
		</div>
	</div>
<%- include ("layouts/footer") %>